<!doctype html>

<html lang="en">
<head>
    <meta charset="utf-8">
    <title>GerritCICD Example App</title>
    <meta name="description" content="The HTML5 Herald">
    <meta name="author" content="Sander Gerritsen">
    <style>
        .commit-data { display: none; }
        .buttons div {
            margin-bottom: 16px;
        }
    </style>
</head>

<body>
    <h1>GerritCICD Auto Example App</h1>

    <p>
        This app consists of this html file and linked js file, api.json and api.php, Dockerfile and docker-compose.yml. Additionally an
        <a href="index.html">index.html</a> and linked index.js with basic example with HTML buttons for manual triggering GerritCICD.
    </p>
    <div id="contentHash" class="commit-data"></div>

   <h2>Usage</h2>
    <p>Open the chrome devtools (F12) and navigate to the GerritCICD panel (next to the 'Elements'/'Console' panels).</p>
    <p>The GerritCICD panel will automatically show up green every number of seconds with the latest commit information.</p>


    <h2>HTML</h2>
    <pre><code>&lt;div id="contentHash" class="commit-data"&gt;&lt;/div&gt;</code></pre>
    <p>
        A DIV element to store the latest commit information, GerritCICD will observe this element
        and act on changes to the content.
    </p>

    <h2>CSS</h2>
    <pre><code>.commit-data { display: none; }</code></pre>
    <p>To hide the data for the website visitor.</p>

    <h2>Javascript</h2>
    <pre><code>setInterval(function() {
    const xhttp = new XMLHttpRequest();
    xhttp.onreadystatechange = function() {
        if (this.readyState === 4 && this.status === 200) {
            document.getElementById('contentHash').textContent = this.responseText;
        }
    };
    xhttp.open("GET", "api.php", true);
    xhttp.send();
}, 10000);
</code></pre>
    <p>
        Call api.php every 10 seconds and update the "contentHash" DIV element with the response.
        GerritCICD will act on the change, show the panel in green and change back to white
        after a 4 seconds delay.</p>

    <script src="auto.js"></script>
</body>
</html>